<?php

namespace BusinessClass;

class ListBoxQuestion extends BoxQuestion
{
    public function responseStrategy()
    {

    }

    public function printStrategy(): string
    {
        $id = $this->getId();
        $content = $this->getContent();
        $possibleResponses = $this->getPossibleResponses();
        $categories = $this->getCategories();

        $html = "\t\t\t<div class='question'>
                <label>$content</label>
                <select name='answers[]'>\n";

        for ($i = 0; $i < count($possibleResponses); $i++) {
            $categoriesSplit = $id."#".$possibleResponses[$i]."||";
            foreach ($categories[$i] as $category) {
                $categoriesSplit.= $category."_";
            }
            $html.= "\t\t\t\t\t<option value='$categoriesSplit'>$possibleResponses[$i]</option>\n";
        }
        $html.= "\t\t\t\t</select>
            </div>\n";

        return $html;
    }
}
